What are the system requirements for Core?

Being a cloud-based business solution, you can easily access Core using any popular web browser. These are the recommended system requirements for Core:

  • Browser: HTML5 compatible browser such as Internet Explorer, Mozilla Firefox, Google Chrome or Safari
  • High-speed Internet connection (fast broadband recommended)

For mobile users, our Core Mobile apps for iPhone and Android devices are available for the following versions:

  • iOS 9.0 or later
  • Android 5.0 or later
Was this article helpful?
0 out of 0 found this helpful